str(tooth24)

# install.packages("Icens") 
library(Icens)

with(tooth24,MLEintvl(cbind(left,right)))

TBintvls<-with(tooth24,MLEintvl(cbind(left,right)))
EMICMest<-with(tooth24,EMICM(cbind(left,right)))
EMest<-with(tooth24,EM(cbind(left,right)))

cbind(TBintvls,EMICM=round(EMICMest$sigma,4),EM=round(cumsum(EMest$pf),4))

EMICMboys<-with(subset(tooth24,sex==0),EMICM(cbind(left,right)))
EMICMgirls<-with(subset(tooth24,sex==1),EMICM(cbind(left,right)))
x11(width=10,height=6)
par(font=2,font.lab=2,font.axis=2,lwd=3,las=1,cex=1.5)
plot.icsurv(EMICMboys,type="lc",surv=TRUE,xlim=c(0,8),main="",xlab="Years from age 5")
plot.icsurv(EMICMgirls,type="lc",surv=TRUE,lty=3,new=F)
legend('bottomleft',c('Boys','Girls'),lty=c(1,3),lwd=3)